import influxframework


def execute():
	influxframework.reload_doc("accounts", "doctype", "item_tax_template")

	item_tax_template_list = influxframework.get_list("Item Tax Template")
	for template in item_tax_template_list:
		doc = influxframework.get_doc("Item Tax Template", template.name)
		for tax in doc.taxes:
			doc.company = influxframework.get_value("Account", tax.tax_type, "company")
			break
		doc.save()
